Bug 1552632 - [RFE] Creating a new user with LDAP, password field should be disabled or grayed out.
Summary: [RFE] Creating a new user with LDAP, password field should be disabled or gra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-07 13:14 UTC by Shivdutt Bharadwaj
Modified: 2019-11-05 23:13 UTC (History)
5 users (show)

Fixed In Version: foreman-1.18.0.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:52 UTC
Foreman Issue Tracker 23347 None None None 2018-04-20 10:24:44 UTC
Red Hat Bugzilla 1627830 None CLOSED CLI Creating a new user with LDAP needs to add password 2019-06-26 08:44:28 UTC

Internal Links: 1627830

Description Shivdutt Bharadwaj 2018-03-07 13:14:29 UTC
Description of problem:
When users create a new user with LDAP, password field should be disabled, not allow input, or gray out.

Version-Release number of selected component (if applicable):
6.2.x

How reproducible:


Steps to Reproduce:
1. Create a new users choosing LDAP on satellite 6.2.12.
2. A password/ confirm password field is there which is of no use when users are at LDAP server and cannot write to LDAP Database.
3. 

Actual results:
Password field is there in new user form when LDAP is chosen.

Expected results:
No password field. 

Additional info:

Comment 2 Marek Hulan 2018-04-20 10:24:42 UTC
Created redmine issue http://projects.theforeman.org/issues/23347 from this bug

Comment 4 pm-sat@redhat.com 2018-04-20 12:16:34 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2018-04-20 12:16:37 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 pm-sat@redhat.com 2018-04-22 12:16:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23347 has been resolved.

Comment 9 Sanket Jagtap 2018-09-11 15:25:48 UTC
Build: Satellite 6.4.0 snap21

User that is created from ldap, has no password field now 

This is fixed for the UI , but still lacking in CLI hammer


 hammer user create --auth-source-id 3 --firstname foobar --login foobar --mail 'foobar@example.com' --roles 'Viewer'
Could not create the user:
  Missing arguments for 'user[password]'
[root@qe-testing-rhel7 ~]# hammer user create --auth-source-id 3 --firstname foobar --login foobar --mail 'foobar@example.com' --roles 'Viewer' --password apple
User [foobar] created.


PFA

Comment 10 Marek Hulan 2018-09-11 15:46:16 UTC
Sanket, the issue mentioned the UI field only. I don't even think hiding the hammer argument would be helpful, as a user I expect the command line interface to be consistent regardless of what server supports. I you strongly believe it should be hidden in hammer, could you please open this as a separate BZ? There's no need to block this 6.4 BZ because of this IMHO. I believe that should be verified.

Comment 11 Sanket Jagtap 2018-09-11 16:01:40 UTC
One of the ticket that is associated with it, wants the same functionality through hammer. 

I would still prefer, this workflow should be similar throughout the CLI adnd UI.
When auth-source is specified don't ask for password 

Yes, we can track this separately, will verify this for UI here

Comment 13 Sanket Jagtap 2018-09-24 11:41:02 UTC
Yes, the bug I filed is closed as duplicate.

Comment 15 errata-xmlrpc 2018-10-16 15:30:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.